#!/usr/bin/env python3


from sat.core.i18n import D_
from sat.core.log import getLogger
from libervia.server.constants import Const as C

log = getLogger(__name__)

name = "photos_album"
label = D_("Photos Album")
access = C.PAGES_ACCESS_PROFILE
template = "photo/album.html"


def parse_url(self, request):
    self.get_path_args(request, ["service", "*path"], min_args=1, service="jid", path="")


def prepare_render(self, request):
    data = self.get_r_data(request)
    data["thumb_limit"] = 800
    data["retrieve_comments"] = True
    files_page = self.get_page_by_name("files_list")
    return files_page.prepare_render(self, request)


def on_data_post(self, request):
    blog_page = self.get_page_by_name("blog_view")
    return blog_page.on_data_post(self, request)
